> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vouchmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes

> List all disputes you've submitted against monitoring events.

Returns disputes the authenticated user has filed. Disputes let you challenge a Sentinel finding that you believe is incorrect.

## Query parameters

<ParamField query="status" type="string">
  Filter by status: `pending`, `under_review`, `upheld`, or `rejected`.
</ParamField>

<ParamField query="vendorId" type="string">
  Filter to disputes for a specific vendor.
</ParamField>

<ParamField query="page" type="integer" default="1" />

<ParamField query="limit" type="integer" default="20">
  Max 50.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.vouchmark.com/v1/disputes?status=pending" \
    -H "Authorization: Bearer $TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": [
      {
        "disputeId": "dsp_aBcD...",
        "vendorId": "cmp_aBcD...",
        "customerId": "usr_aBcD...",
        "eventId": "evt_xYz...",
        "description": "This sanctions match is a false positive. The listed entity has a different registration number.",
        "documents": [
          {
            "url": "https://res.cloudinary.com/.../evidence.pdf",
            "publicId": "vouchmark-disputes/abc123",
            "filename": "evidence.pdf",
            "mimeType": "application/pdf",
            "uploadedAt": "2026-05-16T10:00:00Z"
          }
        ],
        "status": "pending",
        "reviewNote": null,
        "reviewedBy": null,
        "reviewedAt": null,
        "scoreDeltaRestored": null,
        "eventVoidedAt": null,
        "createdAt": "2026-05-16T10:00:00Z",
        "updatedAt": "2026-05-16T10:00:00Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1,
      "totalPages": 1
    }
  }
  ```
</ResponseExample>

`reviewNote`, `reviewedBy`, `reviewedAt`, `scoreDeltaRestored`, and `eventVoidedAt` are `null` until the dispute is resolved.
